org.python.core

## Class BytecodeLoader.Loader

- java.lang.Object
- - java.lang.ClassLoader
  - - java.security.SecureClassLoader
    - - java.net.URLClassLoader
      - - org.python.core.BytecodeLoader.Loader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

Enclosing class:
  BytecodeLoader

    public static class BytecodeLoader.Loader
    extends java.net.URLClassLoader

### Constructor Summary

Constructors
Constructor and Description
`BytecodeLoader.Loader()`

### Method Summary

Methods
`void` `addParent(java.lang.ClassLoader referent)`
`java.lang.Class<?>` `loadClassFromBytes(java.lang.String name, byte[] data)`

### Methods inherited from class java.net.URLClassLoader

`close, findResource, findResources, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, getParent, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BytecodeLoader.Loader

    public BytecodeLoader.Loader()

### Method Detail

#### addParent

    public void addParent(java.lang.ClassLoader referent)

#### loadClassFromBytes

    public java.lang.Class<?> loadClassFromBytes(java.lang.String name,
                                        byte[] data)